commit:     ee12819145e3dc3a41b6bc338c640942d5d10c2b
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Mon Jun 18 20:40:46 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 08:19:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee128191

dev-libs/nmeap: New package

Needed-by: https://bugs.gentoo.org/652706
Closes: https://bugs.gentoo.org/653150
Closes: https://github.com/gentoo/gentoo/pull/7989
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-libs/nmeap/Manifest         |  1 +
 dev-libs/nmeap/metadata.xml     | 20 ++++++++++++++
 dev-libs/nmeap/nmeap-0.3.ebuild | 58 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 79 insertions(+)

diff --git a/dev-libs/nmeap/Manifest b/dev-libs/nmeap/Manifest
new file mode 100644
index 00000000000..ae245a54fad
--- /dev/null
+++ b/dev-libs/nmeap/Manifest
@@ -0,0 +1 @@
+DIST nmeap-0.3.tar.gz 29380 BLAKE2B 
d4828a1a3d8a66ae529e40c034bf180da9657c2a3dec1ab09f32a9062430952a568612d2071acb887c6f1afdb19de82cb4b6d1788c6e9c2e1e859d9914209b3a
 SHA512 
064a7fe27a192b4abe1393f8f343c8956bd9dd1d0de1441ca96597ab1f155001905b9b0b35d47b61e1f68891b820c602c024e4c74fb809719108711c5b1df815

diff --git a/dev-libs/nmeap/metadata.xml b/dev-libs/nmeap/metadata.xml
new file mode 100644
index 00000000000..10629cc31d6
--- /dev/null
+++ b/dev-libs/nmeap/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Conrad Kostecki</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="sourceforge">nmeap</remote-id>
+       </upstream>
+       <longdescription>
+               Extensible NMEA-0183 (GPS) data parser in standard C.
+               A directly linkable library intended for applications
+               that want to embed GPS support, like app-misc/lcd4linux.
+       </longdescription>
+</pkgmetadata>

diff --git a/dev-libs/nmeap/nmeap-0.3.ebuild b/dev-libs/nmeap/nmeap-0.3.ebuild
new file mode 100644
index 00000000000..50bc2004a9f
--- /dev/null
+++ b/dev-libs/nmeap/nmeap-0.3.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Extensible NMEA-0183 (GPS) data parser in standard C"
+HOMEPAGE="http://nmeap.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+       default
+
+       # Repsect users CFLAGS for the static lib archive
+       sed -i -e 's/CFLAGS =/CFLAGS +=/' -e 's/-g -O0 -Werror//' src/Makefile 
|| die
+
+       # Don't build test programs, they are not needed
+       sed -i -e '/TST/d' Makefile || die
+
+       # Silent output of Doxygen and update it, since it is quite old
+       if use doc; then
+               sed -i -e 's/QUIET.*/QUIET = YES/' Doxyfile || die
+               doxygen -u Doxyfile 2>/dev/null || die
+       fi
+}
+
+src_compile() {
+       local myemakeopts=(
+               AR="$(tc-getAR)"
+               CC="$(tc-getCC)"
+       )
+
+       emake "${myemakeopts[@]}"
+
+       if use doc; then
+               doxygen Doxyfile || die
+       fi
+}
+
+src_install() {
+       dolib.a lib/libnmeap.a
+
+       doheader inc/nmeap.h inc/nmeap_def.h
+
+       if use doc; then
+               local HTML_DOCS=( "doc/tutorial.html" "doc/html" )
+       fi
+
+       einstalldocs
+}

Reply via email to